<div class="loading" *ngIf='status_loading'>Loading&#8230;</div>
<div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="d-flex bd-highlight">
    <div class="p-2 w-100 bd-highlight">
      <div>
        <a class="pps-header" style="font-size: 28px;">ข้อมูลด้าน Finance</a>
      </div>
      <p class="pps-header_th">
        เพิ่มรายละเอียดข้อมูลด้าน Finance เกี่ยวกับรายละเอียดผลิตภัณฑ์
      </p>
    </div>
    <div class="pt-2 flex-shrink-1 bd-highlight"
      *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">
      <button type="button" class="btn btn-primary saveDraft" (click)="saveDraft()">
        บันทึกร่างใบคำขอ
      </button>
    </div>
  </div>
  <div class="alert alert-success" role="alert" [ngStyle]="{ display: saveDraftstatus !== 'success' ? 'none' : '' }">
    <a class="alert-detail"><img src="../../../../../assets/img/checkmark.png" class="icon_checkmark" />
      บันทึกร่างใบคำขอเรียบร้อย</a>
  </div>
  <br />
</div>


<!------------------------------------------------- validate === true ------------------------------------------------>
<div style="padding-left: 10px;"
  *ngIf="(validate === null || validate === true) && template_manage.pageShow !== 'executive'">
  <div [ngClass]="{'bg-sub': template_manage.caaStatus !== 'show', 'bg-sub-acc': template_manage.caaStatus === 'show'}">
    <div class="row">

      <div class="col-12">
        <!-- 1. หัวบัญชี วิธีการลงบัญชี และภาษี (Accounting & Tax Treatment) -->
        <label class="text-header" id="example-radio-group-label">1. หัวบัญชี วิธีการลงบัญชี และภาษี (Accounting & Tax
          Treatment)</label>
        <mat-radio-group aria-labelledby="example-radio-group-label" class="example-radio-group" [(ngModel)]="finance_1"
          (ngModelChange)="changeSaveDraft()">
          <mat-radio-button class="example-radio-button" *ngFor="let item1 of list_finance_1" [value]="item1"
            (change)="select_finance(1, $event); changeSaveDraft()">
            <a [ngStyle]="{
                color: item1 == keep_list_select.radio_1 ? '#00a6e6' : 'black'
              }">{{ item1 }}</a>
          </mat-radio-button>
        </mat-radio-group>
        <br />
      </div>

      <!-- 2. Field Requirements และรหัสต่าง ๆ เช่น Product Code, Market Code เป็นต้น และระบุเงื่อนไขในการ Tracking ผลิตภัณฑ์ -->

      <div class="col-12">
        <label class="text-header" id="example-radio-group-label">2. Field Requirements และรหัสต่าง ๆ เช่น Product Code,
          Market Code
          เป็นต้น และระบุเงื่อนไขในการ Tracking ผลิตภัณฑ์</label>
        <mat-radio-group aria-labelledby="example-radio-group-label" class="example-radio-group" [(ngModel)]="finance_2"
          (ngModelChange)="changeSaveDraft()">
          <mat-radio-button class="example-radio-button" *ngFor="let item2 of list_finance_2" [value]="item2"
            (change)="select_finance(2, $event); changeSaveDraft()">
            <a [ngStyle]="{
                color: item2 == keep_list_select.radio_2 ? '#00a6e6' : 'black'
              }">{{ item2 }}</a>
          </mat-radio-button>
        </mat-radio-group>
        <br />
      </div>

      <!-- 3. แนวทางการจัดสรรรายได้และค่าใช้จ่าย (Revenue & Cost Allocation) -->

      <div class="col-12">
        <label class="text-header" id="example-radio-group-label">3. แนวทางการจัดสรรรายได้และค่าใช้จ่าย (Revenue & Cost
          Allocation)</label>
        <mat-radio-group aria-labelledby="example-radio-group-label" class="example-radio-group" [(ngModel)]="finance_3"
          (ngModelChange)="changeSaveDraft()">
          <mat-radio-button class="example-radio-button" *ngFor="let item3 of list_finance_3" [value]="item3"
            (change)="select_finance(3, $event)">
            <a [ngStyle]="{
                color: item3 == keep_list_select.radio_3 ? '#00a6e6' : 'black'
              }">{{ item3 }}</a>
          </mat-radio-button>
        </mat-radio-group>
        <br />
      </div>

      <!-- 4. การเตรียมการด้านงบประมาณรองรับการลงทุน และการว่าจ้าง Outsource -->

      <div class="col-12">
        <label class="text-header" id="example-radio-group-label">4. การเตรียมการด้านงบประมาณรองรับการลงทุน
          และการว่าจ้าง
          Outsource</label>
        <mat-radio-group aria-labelledby="example-radio-group-label" class="example-radio-group" [(ngModel)]="finance_4"
          (ngModelChange)="changeSaveDraft()">
          <mat-radio-button class="example-radio-button" *ngFor="let item4 of list_finance_4" [value]="item4"
            (change)="select_finance(4, $event)">
            <!-- [checked]="keep_list_select.radio_4 === 'มี'" -->
            <a [ngStyle]="{
                color: item4 == keep_list_select.radio_4 ? '#00a6e6' : 'black'
              }">{{ item4 }}</a>
          </mat-radio-button>
        </mat-radio-group>
        <br />
      </div>



      <!--5.การจัดทำ Checklist รายละเอียดของผลิตภัณฑ์ เพื่อพิจารณาประเด็นที่เกี่ยวข้อง และข้อมูลที่จำเป็นในการประมวลผลตามมาตรฐานรายงานทางการเงิน IFRS 9 -->
      <div class="col-12">
        <label class="text-header" id="example-radio-group-label">5. การจัดทำ Checklist รายละเอียดของผลิตภัณฑ์
          เพื่อพิจารณาประเด็นที่เกี่ยวข้อง และข้อมูลที่จำเป็น
          ในการประมวลผลตามมาตรฐานรายงานทางการเงิน IFRS 9</label>
        <mat-radio-group class="example-radio-group" [(ngModel)]="finance_5" (ngModelChange)="changeSaveDraft()"
          aria-label="Select an option">
          <mat-radio-button class="example-radio-button" value="sub_1" (change)="select_finance(5, $event)">
            <a [ngStyle]="{
                color:
                  keep_list_select.radio_5.check == list_finance_5[0]
                    ? '#00a6e6'
                    : 'black'
              }">
              ไม่จัดทำ IFRS 9 Chectlist</a>
          </mat-radio-button>
          <div class="mb-3">
            <!-- <input class="ml-4 form-control" placeholder="ระบุเหตุผลเพิ่มเติม" style="width: 97%; height: 48px;"
              [(ngModel)]="input_finance_5" (ngModelChange)="changeSaveDraft()"
              [disabled]="finance_5 == 'sub_1' ? 'false' : 'true'" (change)="sub_select($event)" /> -->
            <textarea class="form-control" (keyup)="autoother(1)" rows="1" (click)="autoother(1)" type="text"
              id="textother" placeholder="ระบุเหตุผลเพิ่มเติม" style="width: 97%; height: 48px;"
              [(ngModel)]="input_finance_5" (ngModelChange)="changeSaveDraft()"
              [disabled]="finance_5 == 'sub_1' ? 'false' : 'true'" (change)="sub_select($event)" name="textother"
              required></textarea>
          </div>
          <mat-radio-button class="example-radio-button" value="sub_2" (change)="select_finance(5, $event)">
            <a [ngStyle]="{
                color:
                  keep_list_select.radio_5.check == list_finance_5[1]
                    ? '#00a6e6'
                    : 'black'
              }">
              จัดทำ IFRS 9 Chectlist
            </a>
          </mat-radio-button>
        </mat-radio-group>
        <!----------------- sub-5 --------------->
        <div style="margin-left: 30px;">
          <mat-radio-group aria-labelledby="example-radio-group-label" class="example-radio-group"
            [(ngModel)]="finance_5_sub" (ngModelChange)="changeSaveDraft()"
            [disabled]="finance_5 == 'sub_2' ? 'false' : 'true'">
            <mat-radio-button class="example-radio-button" *ngFor="let sub_item5 of list_finance_5_sub"
              [value]="sub_item5" (change)="sub_select($event)">
              <a [ngStyle]="{
                  color:
                    sub_item5 == keep_list_select.radio_5.select
                      ? '#00a6e6'
                      : 'black'
                }">{{ sub_item5 }}</a>
            </mat-radio-button>
          </mat-radio-group>
        </div>
      </div>
    </div>
    <!----------------- sub-5 --------------->
  </div>
  <div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
    <br /><br />
    <div class="row">
      <div class="col-12">
        <label class="head-detal">อัปโหลดเอกสาร</label>
      </div>
      <div class="col-12">
        <div class="dropzone">
          <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple (change)="onSelectFile($event)"
            accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
            application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
            application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
            .jpg,.png" />
          <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
          <a style="font-size: 18px; color: #00a6e6;"
            for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
        </div>
        <br />
      </div>
      <div class="col-12 p-0">
        <div class="table-responsives">
          <table mat-table [dataSource]="dataSource_file">
            <!-- Position Column -->
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
              <td mat-cell *matCellDef="let element">
                <div>{{ element.fileName }}</div>
              </td>
            </ng-container>

            <!-- Name Column -->
            <ng-container matColumnDef="size">
              <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
              <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
            </ng-container>

            <!-- Name Column -->
            <ng-container matColumnDef="delete">
              <th mat-header-cell *matHeaderCellDef></th>
              <td mat-cell *matCellDef="let element; let index = index">
                <a class="download_file" *ngIf="downloadfile_by[index] === 'path'"
                  (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                <a class="download_file" *ngIf="downloadfile_by[index] === 'base64'"
                  (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                <a class="pipe">|</a>
                <a class="delete_file" (click)="delete_mutifile(element, index)">ลบไฟล์</a>
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
          </table>
        </div>
      </div>

    </div>
  </div>


  <div [ngStyle]="{'display': template_manage.caaStatus === 'show' ? 'none' : '' }">
    <br /><br /><br /><br />
    <div class="row">
      <div class="col-12">
        <button class="btn btn-outline-secondary button-next" type="button" (click)="next_step()">
          ถัดไป
        </button>
      </div>
    </div>
    <br />
    <br />
  </div>
</div>
<!------------------------------------------------- end validate === true ------------------------------------------------>


<!------------------------------------------------- validate === false ------------------------------------------------>
<div style="padding-left: 10px;" *ngIf="validate === false || template_manage.pageShow === 'executive'">
  <div [ngClass]="{'bg-sub': template_manage.caaStatus !== 'show', 'bg-sub-acc': template_manage.caaStatus === 'show'}">
    <div class="row">

      <div class="col-12">
        <!-- 1. หัวบัญชี วิธีการลงบัญชี และภาษี (Accounting & Tax Treatment) -->
        <label class="text-header" id="example-radio-group-label">1. หัวบัญชี วิธีการลงบัญชี และภาษี (Accounting & Tax
          Treatment)</label>
        <hr style="margin-top: 0px;margin-bottom: 20px;">
        <div>
          <ul>
            <li class="ul_10" style="word-wrap: break-word;">{{ finance_1 }}</li>
          </ul>
        </div>
        <br />
      </div>

      <!-- 2. Field Requirements และรหัสต่าง ๆ เช่น Product Code, Market Code เป็นต้น และระบุเงื่อนไขในการ Tracking ผลิตภัณฑ์ -->

      <div class="col-12">
        <label class="text-header" id="example-radio-group-label">2. Field Requirements และรหัสต่าง ๆ เช่น Product Code,
          Market Code
          เป็นต้น และระบุเงื่อนไขในการ Tracking ผลิตภัณฑ์</label>
        <hr style="margin-top: 0px;margin-bottom: 20px;">
        <div>
          <ul>
            <li class="ul_10" style="word-wrap: break-word;">{{ finance_2 }}</li>
          </ul>
        </div>
        <br />
      </div>

      <!-- 3. แนวทางการจัดสรรรายได้และค่าใช้จ่าย (Revenue & Cost Allocation) -->

      <div class="col-12">
        <label class="text-header" id="example-radio-group-label">3. แนวทางการจัดสรรรายได้และค่าใช้จ่าย (Revenue & Cost
          Allocation)</label>
        <hr style="margin-top: 0px;margin-bottom: 20px;">
        <div>
          <ul>
            <li class="ul_10" style="word-wrap: break-word;">{{ finance_3 }}</li>
          </ul>
        </div>
        <br />
      </div>

      <!-- 4. การเตรียมการด้านงบประมาณรองรับการลงทุน และการว่าจ้าง Outsource -->

      <div class="col-12">
        <label class="text-header" id="example-radio-group-label">4. การเตรียมการด้านงบประมาณรองรับการลงทุน
          และการว่าจ้าง
          Outsource</label>
        <hr style="margin-top: 0px;margin-bottom: 20px;">
        <div>
          <ul>
            <li class="ul_10" style="word-wrap: break-word;">{{ finance_4 }}</li>
          </ul>
        </div>
        <br />
      </div>



      <!--5.การจัดทำ Checklist รายละเอียดของผลิตภัณฑ์ เพื่อพิจารณาประเด็นที่เกี่ยวข้อง และข้อมูลที่จำเป็นในการประมวลผลตามมาตรฐานรายงานทางการเงิน IFRS 9 -->
      <div class="col-12">
        <label class="text-header" id="example-radio-group-label">5. การจัดทำ Checklist รายละเอียดของผลิตภัณฑ์
          เพื่อพิจารณาประเด็นที่เกี่ยวข้อง และข้อมูลที่จำเป็น
          ในการประมวลผลตามมาตรฐานรายงานทางการเงิน IFRS 9</label>
        <hr style="margin-top: 0px;margin-bottom: 20px;">
        <div>
          <ul>
            <li class="ul_10" *ngIf="finance_5 === 'sub_1'">ไม่จัดทำ IFRS 9 Chectlist</li>
            <li class="ul_10" *ngIf="finance_5 === 'sub_2'">จัดทำ IFRS 9 Chectlist</li>
          </ul>
        </div>
        <div *ngIf="finance_5 === 'sub_1'" style="padding-left: 40px;word-break: break-all;">
          เหตุผล : {{input_finance_5}}
        </div>
        <div *ngIf="finance_5 === 'sub_2'" style="padding-left: 40px;word-break: break-all;">
          เหตุผล : {{finance_5_sub}}
        </div>
        <!----------------- sub-5 --------------->
      </div>
    </div>
    <!----------------- sub-5 --------------->
  </div>
  <div class="col-12 p-0">
    <div class="table-responsives">
      <table mat-table [dataSource]="dataSource_file">
        <!-- Position Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef>ชื่อไฟล์</th>
          <td mat-cell *matCellDef="let element">
            <div>{{ element.fileName }}</div>
          </td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="size">
          <th mat-header-cell *matHeaderCellDef>ขนาดไฟล์</th>
          <td mat-cell *matCellDef="let element">{{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="delete">
          <th mat-header-cell *matHeaderCellDef></th>
          <td mat-cell *matCellDef="let element; let index = index">
            <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
          </td>
        </ng-container>

        <tr mat-header-row *matHeaderRowDef="displayedColumns_file"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns_file"></tr>
      </table>
      <br />
    </div>
  </div>
</div>
<!------------------------------------------------- end validate === false ------------------------------------------------>

<!-- ------------------------------------------------------------------------------------------------------------------ -->


<!-- --------------------------------------------Over multi files Size------------------------------------------------ -->
<div style="display: none;">
  <a id="testttt" data-toggle="modal" data-target="#exampleModal">
    open
  </a>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog modal-dialog-centered" role="document">
    <div class="modal-content" style=" background-color: white;">
      <div class="col-12 modal-header" style="
          text-align: center;
          height: 56px;
          padding: 12px;
          background-color: rgba(0, 110, 149, 0.1);
        ">
        <div class="col-12" style="
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
          ">
          <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
          <span style="font-size: 18px; color: #006e95;" class="modal-title" id="exampleModalLabel">
            มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px;cursor:pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%;word-wrap:break-word">
        <a style="color:#2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
        <div *ngFor="let item of FileOverSize" style="color:#2e2d2d">-&nbsp;{{ item }}</div>
      </div>
      <br />
      <div class="mb-3" style="text-align: center;">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
            justify-items: center !important;
            background-color: #00a4e4;
            width: 150px;
          ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>
<!-- ------------------------------------------- End Over multi files Size ----------------------------------------------- -->
<div class="row" *ngIf="validate === false || template_manage.pageShow === 'executive'"
  [ngStyle]="{ display: template_manage.caaStatus === 'show' ? 'none' : '' }">
  <div class="col-12">
    <button class="btn btn-outline-secondary button-next" type="button" (click)="viewNext()">ถัดไป</button>
  </div>
</div>
<br>